# -*- encoding: utf-8 -*-


args_namespace = parser.parse_args()


# [1]. train config
train_file_path = "/Users/wuhf/cooka/dataset/leaf_classification/data.csv"
test_file_path = None
server_portal = "http://localhost:8240"
max_trials = 10
task_type = "multi_classification"
dataset_name = "leaf_classification"
dataset_has_header = True

dataset_default_headers = None
label_col = "species"
pos_label = None
train_mode = "quick"
framework = "HyperGBM"
partition_strategy = "train_validation_holdout"
holdout_percentage = 10
n_folds = None
train_percentage = 80
validation_percentage = 10
datetime_series_col = None
train_job_name = "train_job_leaf_classification_HyperGBM_20210107152143019981"
model_name = "leaf_classification_1"
model_feature_list = [{"name": "id", "type": "continuous", "data_type": "float64"}, {"name": "margin1", "type": "continuous", "data_type": "float64"}, {"name": "margin2", "type": "continuous", "data_type": "float64"}, {"name": "margin3", "type": "continuous", "data_type": "float64"}, {"name": "margin4", "type": "continuous", "data_type": "float64"}, {"name": "margin5", "type": "continuous", "data_type": "float64"}, {"name": "margin6", "type": "continuous", "data_type": "float64"}, {"name": "margin7", "type": "continuous", "data_type": "float64"}, {"name": "margin8", "type": "continuous", "data_type": "float64"}, {"name": "margin9", "type": "continuous", "data_type": "float64"}, {"name": "margin10", "type": "continuous", "data_type": "float64"}, {"name": "margin11", "type": "continuous", "data_type": "float64"}, {"name": "margin12", "type": "continuous", "data_type": "float64"}, {"name": "margin13", "type": "continuous", "data_type": "float64"}, {"name": "margin14", "type": "continuous", "data_type": "float64"}, {"name": "margin15", "type": "continuous", "data_type": "float64"}, {"name": "margin16", "type": "continuous", "data_type": "float64"}, {"name": "margin17", "type": "continuous", "data_type": "float64"}, {"name": "margin18", "type": "continuous", "data_type": "float64"}, {"name": "margin19", "type": "continuous", "data_type": "float64"}, {"name": "margin20", "type": "continuous", "data_type": "float64"}, {"name": "margin21", "type": "continuous", "data_type": "float64"}, {"name": "margin22", "type": "continuous", "data_type": "float64"}, {"name": "margin23", "type": "continuous", "data_type": "float64"}, {"name": "margin24", "type": "continuous", "data_type": "float64"}, {"name": "margin25", "type": "continuous", "data_type": "float64"}, {"name": "margin26", "type": "continuous", "data_type": "float64"}, {"name": "margin27", "type": "continuous", "data_type": "float64"}, {"name": "margin28", "type": "continuous", "data_type": "float64"}, {"name": "margin29", "type": "continuous", "data_type": "float64"}, {"name": "margin30", "type": "continuous", "data_type": "float64"}, {"name": "margin31", "type": "continuous", "data_type": "float64"}, {"name": "margin32", "type": "continuous", "data_type": "float64"}, {"name": "margin33", "type": "continuous", "data_type": "float64"}, {"name": "margin34", "type": "continuous", "data_type": "float64"}, {"name": "margin35", "type": "continuous", "data_type": "float64"}, {"name": "margin36", "type": "continuous", "data_type": "float64"}, {"name": "margin37", "type": "continuous", "data_type": "float64"}, {"name": "margin38", "type": "continuous", "data_type": "float64"}, {"name": "margin39", "type": "continuous", "data_type": "float64"}, {"name": "margin40", "type": "continuous", "data_type": "float64"}, {"name": "margin41", "type": "continuous", "data_type": "float64"}, {"name": "margin42", "type": "continuous", "data_type": "float64"}, {"name": "margin43", "type": "continuous", "data_type": "float64"}, {"name": "margin44", "type": "continuous", "data_type": "float64"}, {"name": "margin45", "type": "continuous", "data_type": "float64"}, {"name": "margin46", "type": "continuous", "data_type": "float64"}, {"name": "margin47", "type": "continuous", "data_type": "float64"}, {"name": "margin48", "type": "continuous", "data_type": "float64"}, {"name": "margin49", "type": "continuous", "data_type": "float64"}, {"name": "margin50", "type": "continuous", "data_type": "float64"}, {"name": "margin51", "type": "continuous", "data_type": "float64"}, {"name": "margin52", "type": "continuous", "data_type": "float64"}, {"name": "margin53", "type": "continuous", "data_type": "float64"}, {"name": "margin54", "type": "continuous", "data_type": "float64"}, {"name": "margin55", "type": "continuous", "data_type": "float64"}, {"name": "margin56", "type": "continuous", "data_type": "float64"}, {"name": "margin57", "type": "continuous", "data_type": "float64"}, {"name": "margin58", "type": "continuous", "data_type": "float64"}, {"name": "margin59", "type": "continuous", "data_type": "float64"}, {"name": "margin60", "type": "continuous", "data_type": "float64"}, {"name": "margin61", "type": "continuous", "data_type": "float64"}, {"name": "margin62", "type": "continuous", "data_type": "float64"}, {"name": "margin63", "type": "continuous", "data_type": "float64"}, {"name": "margin64", "type": "continuous", "data_type": "float64"}, {"name": "shape1", "type": "continuous", "data_type": "float64"}, {"name": "shape2", "type": "continuous", "data_type": "float64"}, {"name": "shape3", "type": "continuous", "data_type": "float64"}, {"name": "shape4", "type": "continuous", "data_type": "float64"}, {"name": "shape5", "type": "continuous", "data_type": "float64"}, {"name": "shape6", "type": "continuous", "data_type": "float64"}, {"name": "shape7", "type": "continuous", "data_type": "float64"}, {"name": "shape8", "type": "continuous", "data_type": "float64"}, {"name": "shape9", "type": "continuous", "data_type": "float64"}, {"name": "shape10", "type": "continuous", "data_type": "float64"}, {"name": "shape11", "type": "continuous", "data_type": "float64"}, {"name": "shape12", "type": "continuous", "data_type": "float64"}, {"name": "shape13", "type": "continuous", "data_type": "float64"}, {"name": "shape14", "type": "continuous", "data_type": "float64"}, {"name": "shape15", "type": "continuous", "data_type": "float64"}, {"name": "shape16", "type": "continuous", "data_type": "float64"}, {"name": "shape17", "type": "continuous", "data_type": "float64"}, {"name": "shape18", "type": "continuous", "data_type": "float64"}, {"name": "shape19", "type": "continuous", "data_type": "float64"}, {"name": "shape20", "type": "continuous", "data_type": "float64"}, {"name": "shape21", "type": "continuous", "data_type": "float64"}, {"name": "shape22", "type": "continuous", "data_type": "float64"}, {"name": "shape23", "type": "continuous", "data_type": "float64"}, {"name": "shape24", "type": "continuous", "data_type": "float64"}, {"name": "shape25", "type": "continuous", "data_type": "float64"}, {"name": "shape26", "type": "continuous", "data_type": "float64"}, {"name": "shape27", "type": "continuous", "data_type": "float64"}, {"name": "shape28", "type": "continuous", "data_type": "float64"}, {"name": "shape29", "type": "continuous", "data_type": "float64"}, {"name": "shape30", "type": "continuous", "data_type": "float64"}, {"name": "shape31", "type": "continuous", "data_type": "float64"}, {"name": "shape32", "type": "continuous", "data_type": "float64"}, {"name": "shape33", "type": "continuous", "data_type": "float64"}, {"name": "shape34", "type": "continuous", "data_type": "float64"}, {"name": "shape35", "type": "continuous", "data_type": "float64"}, {"name": "shape36", "type": "continuous", "data_type": "float64"}, {"name": "shape37", "type": "continuous", "data_type": "float64"}, {"name": "shape38", "type": "continuous", "data_type": "float64"}, {"name": "shape39", "type": "continuous", "data_type": "float64"}, {"name": "shape40", "type": "continuous", "data_type": "float64"}, {"name": "shape41", "type": "continuous", "data_type": "float64"}, {"name": "shape42", "type": "continuous", "data_type": "float64"}, {"name": "shape43", "type": "continuous", "data_type": "float64"}, {"name": "shape44", "type": "continuous", "data_type": "float64"}, {"name": "shape45", "type": "continuous", "data_type": "float64"}, {"name": "shape46", "type": "continuous", "data_type": "float64"}, {"name": "shape47", "type": "continuous", "data_type": "float64"}, {"name": "shape48", "type": "continuous", "data_type": "float64"}, {"name": "shape49", "type": "continuous", "data_type": "float64"}, {"name": "shape50", "type": "continuous", "data_type": "float64"}, {"name": "shape51", "type": "continuous", "data_type": "float64"}, {"name": "shape52", "type": "continuous", "data_type": "float64"}, {"name": "shape53", "type": "continuous", "data_type": "float64"}, {"name": "shape54", "type": "continuous", "data_type": "float64"}, {"name": "shape55", "type": "continuous", "data_type": "float64"}, {"name": "shape56", "type": "continuous", "data_type": "float64"}, {"name": "shape57", "type": "continuous", "data_type": "float64"}, {"name": "shape58", "type": "continuous", "data_type": "float64"}, {"name": "shape59", "type": "continuous", "data_type": "float64"}, {"name": "shape60", "type": "continuous", "data_type": "float64"}, {"name": "shape61", "type": "continuous", "data_type": "float64"}, {"name": "shape62", "type": "continuous", "data_type": "float64"}, {"name": "shape63", "type": "continuous", "data_type": "float64"}, {"name": "shape64", "type": "continuous", "data_type": "float64"}, {"name": "texture1", "type": "continuous", "data_type": "float64"}, {"name": "texture2", "type": "continuous", "data_type": "float64"}, {"name": "texture3", "type": "continuous", "data_type": "float64"}, {"name": "texture4", "type": "continuous", "data_type": "float64"}, {"name": "texture5", "type": "continuous", "data_type": "float64"}, {"name": "texture6", "type": "continuous", "data_type": "float64"}, {"name": "texture7", "type": "continuous", "data_type": "float64"}, {"name": "texture8", "type": "continuous", "data_type": "float64"}, {"name": "texture9", "type": "continuous", "data_type": "float64"}, {"name": "texture10", "type": "continuous", "data_type": "float64"}, {"name": "texture11", "type": "continuous", "data_type": "float64"}, {"name": "texture12", "type": "continuous", "data_type": "float64"}, {"name": "texture13", "type": "continuous", "data_type": "float64"}, {"name": "texture14", "type": "continuous", "data_type": "float64"}, {"name": "texture15", "type": "continuous", "data_type": "float64"}, {"name": "texture16", "type": "continuous", "data_type": "float64"}, {"name": "texture17", "type": "continuous", "data_type": "float64"}, {"name": "texture18", "type": "continuous", "data_type": "float64"}, {"name": "texture19", "type": "continuous", "data_type": "float64"}, {"name": "texture20", "type": "continuous", "data_type": "float64"}, {"name": "texture21", "type": "continuous", "data_type": "float64"}, {"name": "texture22", "type": "continuous", "data_type": "float64"}, {"name": "texture23", "type": "continuous", "data_type": "float64"}, {"name": "texture24", "type": "continuous", "data_type": "float64"}, {"name": "texture25", "type": "continuous", "data_type": "float64"}, {"name": "texture26", "type": "continuous", "data_type": "float64"}, {"name": "texture27", "type": "continuous", "data_type": "float64"}, {"name": "texture28", "type": "continuous", "data_type": "float64"}, {"name": "texture29", "type": "continuous", "data_type": "float64"}, {"name": "texture30", "type": "continuous", "data_type": "float64"}, {"name": "texture31", "type": "continuous", "data_type": "float64"}, {"name": "texture32", "type": "continuous", "data_type": "float64"}, {"name": "texture33", "type": "continuous", "data_type": "float64"}, {"name": "texture34", "type": "continuous", "data_type": "float64"}, {"name": "texture35", "type": "continuous", "data_type": "float64"}, {"name": "texture36", "type": "continuous", "data_type": "float64"}, {"name": "texture37", "type": "continuous", "data_type": "float64"}, {"name": "texture38", "type": "continuous", "data_type": "float64"}, {"name": "texture39", "type": "continuous", "data_type": "float64"}, {"name": "texture40", "type": "continuous", "data_type": "float64"}, {"name": "texture41", "type": "continuous", "data_type": "float64"}, {"name": "texture42", "type": "continuous", "data_type": "float64"}, {"name": "texture43", "type": "continuous", "data_type": "float64"}, {"name": "texture44", "type": "continuous", "data_type": "float64"}, {"name": "texture45", "type": "continuous", "data_type": "float64"}, {"name": "texture46", "type": "continuous", "data_type": "float64"}, {"name": "texture47", "type": "continuous", "data_type": "float64"}, {"name": "texture48", "type": "continuous", "data_type": "float64"}, {"name": "texture49", "type": "continuous", "data_type": "float64"}, {"name": "texture50", "type": "continuous", "data_type": "float64"}, {"name": "texture51", "type": "continuous", "data_type": "float64"}, {"name": "texture52", "type": "continuous", "data_type": "float64"}, {"name": "texture53", "type": "continuous", "data_type": "float64"}, {"name": "texture54", "type": "continuous", "data_type": "float64"}, {"name": "texture55", "type": "continuous", "data_type": "float64"}, {"name": "texture56", "type": "continuous", "data_type": "float64"}, {"name": "texture57", "type": "continuous", "data_type": "float64"}, {"name": "texture58", "type": "continuous", "data_type": "float64"}, {"name": "texture59", "type": "continuous", "data_type": "float64"}, {"name": "texture60", "type": "continuous", "data_type": "float64"}, {"name": "texture61", "type": "continuous", "data_type": "float64"}, {"name": "texture62", "type": "continuous", "data_type": "float64"}, {"name": "texture63", "type": "continuous", "data_type": "float64"}, {"name": "texture64", "type": "continuous", "data_type": "float64"}]
data_root = "/Users/wuhf/cooka"

print("=================Train Config================")
print(f"train_file_path: {train_file_path}")
print(f"test_file_path: {test_file_path}")
print(f"server_portal: {server_portal}")
print(f"max_trials: {max_trials}")
print(f"task_type: {task_type}")
print(f"dataset_name: {dataset_name}")
print(f"dataset_has_header: {dataset_has_header}")
print(f"dataset_default_headers: {dataset_default_headers}")
print(f"label_col: {label_col}")
print(f"pos_label: {pos_label}")
print(f"train_mode: {train_mode}")
print(f"framework: {framework}")
print(f"partition_strategy: {partition_strategy}")
print(f"holdout_percentage: {holdout_percentage}")
print(f"n_folds: {n_folds}")
print(f"train_percentage: {train_percentage}")
print(f"validation_percentage: {validation_percentage}")
print(f"datetime_series_col: {datetime_series_col}")
print(f"train_job_name: {train_job_name}")
print(f"model_name: {model_name}")
print(f"data_root: {data_root}")
print("============================================")

k(server_portal, train_job_name, dataset_name, 'persist', persist_status, time.time() - t_persist_begin, persist_extension)